Agents
List agent deployments
GET /v1/agent-deployments · SDK listAgentDeployments · CLI deployments deployment list
GET
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListAgentDeploymentsResponse
application/json- response
items*array<>nextCursor?|null|nullcurl -X GET "https://example.com/v1/agent-deployments" \ -H "x-deployments-environment: string"{ "items": [ { "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "environmentId": "string", "organizationId": "string", "projectId": "string", "agentDefinitionId": "string", "agentReleaseId": "string", "candidateAgentReleaseId": "string", "candidateStartedAt": "2019-08-24T14:15:22Z", "candidateWeight": 1, "currentState": "deploying", "desiredState": "paused", "id": "string", "lastTransitionAt": "2019-08-24T14:15:22Z", "runtimeConfig": { "agentBindings": {}, "apiVersion": "agents.deployments.ai/v1", "brainRetrievalMode": "brain-first", "kind": "AgentDeploymentConfig", "toolAuthorizations": {} } } ], "nextCursor": "string"}